#!/usr/bin/env python
import inspect
from public import public


@public
def islambdamethod(obj):
    if not obj:
        return False
    if not inspect.ismethod(obj):
        return False
    # <unbound method CLS.<lambda>> # python 2
    # <function CLS.<lambda> at > # python 3
    if obj.__name__.find('<lambda>') >= 0:
        return True  # python3
    return False
